Change a survey's name, address, questions or settings (logged)
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/surveys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
payload := strings.NewReader("{ \"description\": \"example\", \"name\": \"example\", \"questions\": [ { \"answers\": [ { \"key\": 1, \"label\": \"example\", \"tag\": \"example\" } ], \"description\": \"example\", \"faces\": 1, \"high\": \"example\", \"key\": \"example\", \"low\": \"example\", \"nps\": true, \"required\": true, \"requiredText\": \"example\", \"save\": { \"field\": \"example\", \"to\": \"none\" }, \"text\": \"example\", \"type\": \"single\" } ], \"settings\": { \"acceptNonContacts\": true, \"close\": { \"date\": \"example\", \"mode\": \"date\", \"time\": \"example\" }, \"oneResponse\": true, \"thanks\": \"example\", \"timezone\": \"example\" }, \"slug\": \"example\" }")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/surveys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":"example","name":"example","questions":[{"answers":[{"key":1,"label":"example","tag":"example"}],"description":"example","faces":1,"high":"example","key":"example","low":"example","nps":true,"required":true,"requiredText":"example","save":{"field":"example","to":"none"},"text":"example","type":"single"}],"settings":{"acceptNonContacts":true,"close":{"date":"example","mode":"date","time":"example"},"oneResponse":true,"thanks":"example","timezone":"example"},"slug":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/surveys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "name": "example", "questions": [ { "answers": [ { "key": 1, "label": "example", "tag": "example" } ], "description": "example", "faces": 1, "high": "example", "key": "example", "low": "example", "nps": true, "required": true, "requiredText": "example", "save": { "field": "example", "to": "none" }, "text": "example", "type": "single" } ], "settings": { "acceptNonContacts": true, "close": { "date": "example", "mode": "date", "time": "example" }, "oneResponse": true, "thanks": "example", "timezone": "example" }, "slug": "example" }'Permission: forms:edit
Edits to an open survey apply to new responses; answers already given stay as they were given.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Survey id
Survey id
Request Bodyrequired
Section titled “Request Bodyrequired”object
object
object
object
object
object
Responses
Section titled “Responses”OK
object
object
object
object
object
object
object
object
Example
{ "linked": [ { "via": "link" } ], "questions": [ { "save": { "to": "none" }, "type": "single" } ], "settings": { "close": { "mode": "date" } }, "status": "draft"}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}